Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1496255 - [RFE] Incorrect reference to base10 unit in Size[UNIT] variable description
Summary: [RFE] Incorrect reference to base10 unit in Size[UNIT] variable description
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.4
Hardware: All
OS: Linux
high
low
Target Milestone: rc
: ---
Assignee: Zdenek Kabelac
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-26 19:42 UTC by John Pittman
Modified: 2021-01-15 07:42 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-15 07:42:42 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description John Pittman 2017-09-26 19:42:11 UTC
Description of problem:

There is an incorrect reference to base10 units in the Size[UNIT] variable description.  The description is shown below:

Size[UNIT]
  Size  is  an  input  number that accepts an optional unit.  Input units are always treated as base two values, 
  regardless of capitalization, e.g. 'k' and 'K' both refer to 1024.  The default input unit is specified by letter, 
  followed by |UNIT.  UNIT represents other possible input units: bBsSkKmMgGtTpPeE.  b|B is bytes, s|S  is  sectors  
  of 512 bytes, k|K is kilobytes, m|M is megabytes, g|G is gigabytes, t|T is terabytes, p|P is petabytes, e|E is exabytes.  
  (This should not be confused with the output control --units, where capital letters mean multiple of 1000.)

In this description it says that input units are always treated as base two values, then goes on to say that case does not matter.  However, when showing example units, the base10 is used, as in "k|K is kilobytes".  If we're only using base2 values, then it should be "k|K is kibibytes".

Version-Release number of selected component (if applicable):

lvm2-2.02.171-8.el7.x86_64
lvm2-libs-2.02.171-8.el7.x86_64

Expected results:

Possible edited description shown below:

Size[UNIT]
  Size  is  an  input  number that accepts an optional unit.  Input units are always treated as base two values, 
  regardless of capitalization, e.g. 'k' and 'K' both refer to 1024.  The default input unit is specified by letter, 
  followed by |UNIT. UNIT represents other possible input units: bBsSkKmMgGtTpPeE. b|B is bytes, s|S  is  sectors 
  of 512 bytes, k|K is kibibytes, m|M is mebibytes, g|G is gibibytes, t|T is tebibytes, p|P is pebibytes, e|E is 
  exbibytes. (This should not be confused with the output control --units, where capital letters mean multiple of 1000.)

Comment 3 Zdenek Kabelac 2020-10-20 21:28:27 UTC
Pushed https://www.redhat.com/archives/lvm-devel/2020-October/msg00164.html

So we will use KiB, MiB, GiB,....  which is AFAIK more clear to most user then some 'kikibytes'

and it's matching other man pages like i.e. util-linux...

Comment 5 RHEL Program Management 2021-01-15 07:42:42 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.